Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#1117 Can't save database to webdav

KeePass_2.x
closed
nobody
None
5
2013-10-22
2013-04-27
Daniel Schaal
No

When trying to save to a owncloud webdav server, instead of saving the database KeePass ends up deleting the file from the server.

From the apache log it seems KeePass deletes the .tmp file it creates and then tries to move the .tmp file over the original, giving a 404.

I also tried it with a local python-webdav server to make sure it isn't owncloud's fault with the same result. Logs attached

1 Attachments

Discussion

  • Daniel Schaal
    Daniel Schaal
    2013-04-27

    This seems to be caused by a mono upgrade. After downgrading from 3.0.6 to 2.10.8.1 it works again.

     
  • Dominik Reichl
    Dominik Reichl
    2013-04-27

    Great, thanks for investigating the issue. Please report it to the Mono developers.

    Thanks and best regards,
    Dominik

     
  • Dominik Reichl
    Dominik Reichl
    2013-04-27

    • status: open --> closed
     
  • Duane Meyer
    Duane Meyer
    2013-10-22

    edit: see: https://sourceforge.net/p/keepass/bugs/1176/

    KeePass 2.18, Mono 2.10.8.1, Ubunutu Linux 12.04

    I still see this same problem.

    After failing to save the database over webdav, I tried giving it a new name. Here are the logged HTTP requests after trying to save under a new DB name.

    Final request from saving original file: testbase.kdbx

    192.168.1.1 - test [22/Oct/2013:17:19:43 -0500] "MOVE /webdav/testbase.kdbx.tmp HTTP/1.1" 404 446 "-" "-"
    

    Attempt to save as: testbase2.kdbx

    192.168.1.1 - test [22/Oct/2013:17:19:59 -0500] "DELETE /webdav/testbase2.kdbx.tmp HTTP/1.1" 404 489 "-" "-"
    192.168.1.1 - test [22/Oct/2013:17:19:59 -0500] "PUT /webdav/testbase2.kdbx.tmp HTTP/1.1" 201 550 "-" "-"
    192.168.1.1 - test [22/Oct/2013:17:19:59 -0500] "GET /webdav/testbase2.kdbx HTTP/1.1" 404 485 "-" "-"
    192.168.1.1 - test [22/Oct/2013:17:19:59 -0500] "MOVE /webdav/testbase2.kdbx.tmp HTTP/1.1" 404 446 "-" "-"
    

    Files on the server after the two failed saves:

    -rw-r--r-- 1 www-data www-data 2158 Oct 22 17:19 testbase2.kdbx.tmp
    -rw-r--r-- 1 www-data www-data 2158 Oct 22 17:19 testbase.kdbx.tmp
    
     
    Last edit: Duane Meyer 2013-10-23